AM263Px MCU+ SDK: CpswStats_MacPort_2g Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
CpswStats_MacPort_2g Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Statistics » CPSW Statistics

## Detailed Description

CPSW 2G MAC port statistics.

Statistics values reported by the CPSW hardware for the Ethernet MAC port.

## Data Fields
uint64_t | rxGoodFrames
uint64_t | rxBcastFrames
uint64_t | rxMcastFrames
uint64_t | rxPauseFrames
uint64_t | rxCrcErrors
uint64_t | rxAlignCodeErrors
uint64_t | rxOversizedFrames
uint64_t | rxJabberFrames
uint64_t | rxUndersizedFrames
uint64_t | rxFragments
uint64_t | aleDrop
uint64_t | aleOverrunDrop
uint64_t | rxOctets
uint64_t | txGoodFrames
uint64_t | txBcastFrames
uint64_t | txMcastFrames
uint64_t | txPauseFrames
uint64_t | txDeferredFrames
uint64_t | txCollisionFrames
uint64_t | txSingleCollFrames
uint64_t | txMultipleCollFrames
uint64_t | txExcessiveCollFrames
uint64_t | txLateCollFrames
uint64_t | rxIPGError
uint64_t | txCarrierSenseErrors
uint64_t | txOctets
uint64_t | octetsFrames64
uint64_t | octetsFrames65to127
uint64_t | octetsFrames128to255
uint64_t | octetsFrames256to511
uint64_t | octetsFrames512to1023
uint64_t | octetsFrames1024
uint64_t | netOctets
uint64_t | rxBottomOfFifoDrop
uint64_t | portMaskDrop
uint64_t | rxTopOfFifoDrop
uint64_t | aleRateLimitDrop
uint64_t | aleVidIngressDrop
uint64_t | aleDAEqSADrop
uint64_t | aleBlockDrop
uint64_t | aleSecureDrop
uint64_t | aleAuthDrop
uint64_t | aleUnknownUcast
uint64_t | aleUnknownUcastBcnt
uint64_t | aleUnknownMcast
uint64_t | aleUnknownMcastBcnt
uint64_t | aleUnknownBcast
uint64_t | aleUnknownBcastBcnt
uint64_t | alePolicyMatch
uint64_t | alePolicyMatchRed
uint64_t | alePolicyMatchYellow
uint64_t | aleMultSADrop
uint64_t | aleDualVlanDrop
uint64_t | aleLenErrorDrop
uint64_t | aleIpNextHdrDrop
uint64_t | aleIPv4FragDrop
uint64_t | reserved57to80 [24U]
uint64_t | ietRxAssemblyErr
uint64_t | ietRxAssemblyOk
uint64_t | ietRxSmdError
uint64_t | ietRxFrag
uint64_t | ietTxHold
uint64_t | ietTxFrag
uint64_t | reserved87to95 [9U]
uint64_t | txMemProtectError
uint64_t | txPri [8U]
uint64_t | txPriBcnt [8U]
uint64_t | txPriDrop [8U]
uint64_t | txPriDropBcnt [8U]

## Field Documentation

## ◆ rxGoodFrames

uint64_t CpswStats_MacPort_2g::rxGoodFrames

Total number of good frames received

## ◆ rxBcastFrames

uint64_t CpswStats_MacPort_2g::rxBcastFrames

Total number of good multicast frames received

## ◆ rxMcastFrames

uint64_t CpswStats_MacPort_2g::rxMcastFrames

Total number of good multicast frames received

## ◆ rxPauseFrames

uint64_t CpswStats_MacPort_2g::rxPauseFrames

Total number of pause frames received

## ◆ rxCrcErrors

uint64_t CpswStats_MacPort_2g::rxCrcErrors

Total number of CRC error frames received

## ◆ rxAlignCodeErrors

uint64_t CpswStats_MacPort_2g::rxAlignCodeErrors

Total number of alignment/code errors received

## ◆ rxOversizedFrames

uint64_t CpswStats_MacPort_2g::rxOversizedFrames

Total number of oversized frames received

## ◆ rxJabberFrames

uint64_t CpswStats_MacPort_2g::rxJabberFrames

Total number of jabber frames received

## ◆ rxUndersizedFrames

uint64_t CpswStats_MacPort_2g::rxUndersizedFrames

Total number of undersized frames received

## ◆ rxFragments

uint64_t CpswStats_MacPort_2g::rxFragments

Total number of fragmented frames received

## ◆ aleDrop

uint64_t CpswStats_MacPort_2g::aleDrop

Total number of frames dropped by the ALE

## ◆ aleOverrunDrop

uint64_t CpswStats_MacPort_2g::aleOverrunDrop

Total number of overrun frames dropped by the ALE

## ◆ rxOctets

uint64_t CpswStats_MacPort_2g::rxOctets

Total number of received bytes in good frames

## ◆ txGoodFrames

uint64_t CpswStats_MacPort_2g::txGoodFrames

Total number of good frames transmitted

## ◆ txBcastFrames

uint64_t CpswStats_MacPort_2g::txBcastFrames

Total number of good broadcast frames transmitted

## ◆ txMcastFrames

uint64_t CpswStats_MacPort_2g::txMcastFrames

Total number of good multicast frames transmitted

## ◆ txPauseFrames

uint64_t CpswStats_MacPort_2g::txPauseFrames

Total number of pause frames transmitted

## ◆ txDeferredFrames

uint64_t CpswStats_MacPort_2g::txDeferredFrames

Total number of deferred frames transmitted

## ◆ txCollisionFrames

uint64_t CpswStats_MacPort_2g::txCollisionFrames

Total number of transmitted frames experiencing a collsion

## ◆ txSingleCollFrames

uint64_t CpswStats_MacPort_2g::txSingleCollFrames

Total number of transmitted frames experiencing a single collision

## ◆ txMultipleCollFrames

uint64_t CpswStats_MacPort_2g::txMultipleCollFrames

Total number of transmitted frames experiencing multiple collisions

## ◆ txExcessiveCollFrames

uint64_t CpswStats_MacPort_2g::txExcessiveCollFrames

Total number of transmitted frames abandoned due to excessive collisions

## ◆ txLateCollFrames

uint64_t CpswStats_MacPort_2g::txLateCollFrames

Total number of transmitted frames abandoned due to a late collision

## ◆ rxIPGError

uint64_t CpswStats_MacPort_2g::rxIPGError

Total number of receive inter-packet gap errors (10G only)

## ◆ txCarrierSenseErrors

uint64_t CpswStats_MacPort_2g::txCarrierSenseErrors

Total number of transmitted frames that experienced a carrier loss

## ◆ txOctets

uint64_t CpswStats_MacPort_2g::txOctets

Total number of bytes in all good frames transmitted

## ◆ octetsFrames64

uint64_t CpswStats_MacPort_2g::octetsFrames64

Total number of 64-byte frames received and transmitted

## ◆ octetsFrames65to127

uint64_t CpswStats_MacPort_2g::octetsFrames65to127

Total number of frames of size 65 to 127 bytes received and transmitted

## ◆ octetsFrames128to255

uint64_t CpswStats_MacPort_2g::octetsFrames128to255

Total number of frames of size 128 to 255 bytes received and transmitted

## ◆ octetsFrames256to511

uint64_t CpswStats_MacPort_2g::octetsFrames256to511

Total number of frames of size 256 to 511 bytes received and transmitted

## ◆ octetsFrames512to1023

uint64_t CpswStats_MacPort_2g::octetsFrames512to1023

Total number of frames of size 512 to 1023 bytes received and transmitted

## ◆ octetsFrames1024

uint64_t CpswStats_MacPort_2g::octetsFrames1024

Total number of frames of size 1024 or greater transmitted

## ◆ netOctets

uint64_t CpswStats_MacPort_2g::netOctets

Total number of bytes received and transmitted

## ◆ rxBottomOfFifoDrop

uint64_t CpswStats_MacPort_2g::rxBottomOfFifoDrop

Receive bottom of FIFO drop

## ◆ portMaskDrop

uint64_t CpswStats_MacPort_2g::portMaskDrop

Total number of dropped frames received due to portmask

## ◆ rxTopOfFifoDrop

uint64_t CpswStats_MacPort_2g::rxTopOfFifoDrop

Receive top of FIFO drop

## ◆ aleRateLimitDrop

uint64_t CpswStats_MacPort_2g::aleRateLimitDrop

Total number of frames dropped due to ALE rate limiting

## ◆ aleVidIngressDrop

uint64_t CpswStats_MacPort_2g::aleVidIngressDrop

Total number of dropped frames due to ALE VID ingress

## ◆ aleDAEqSADrop

uint64_t CpswStats_MacPort_2g::aleDAEqSADrop

Total number of dropped frames due to DA = SA

## ◆ aleBlockDrop

uint64_t CpswStats_MacPort_2g::aleBlockDrop

Total number of dropped frames due to ALE block mode

## ◆ aleSecureDrop

uint64_t CpswStats_MacPort_2g::aleSecureDrop

Total number of dropped frames due to ALE secure mode

## ◆ aleAuthDrop

uint64_t CpswStats_MacPort_2g::aleAuthDrop

Total number of dropped frames due to ALE authentication

## ◆ aleUnknownUcast

uint64_t CpswStats_MacPort_2g::aleUnknownUcast

ALE receive unknown unicast

## ◆ aleUnknownUcastBcnt

uint64_t CpswStats_MacPort_2g::aleUnknownUcastBcnt

ALE receive unknown unicast bytecount

## ◆ aleUnknownMcast

uint64_t CpswStats_MacPort_2g::aleUnknownMcast

ALE receive unknown multicast

## ◆ aleUnknownMcastBcnt

uint64_t CpswStats_MacPort_2g::aleUnknownMcastBcnt

ALE receive unknown multicast bytecount

## ◆ aleUnknownBcast

uint64_t CpswStats_MacPort_2g::aleUnknownBcast

ALE receive unknown broadcast

## ◆ aleUnknownBcastBcnt

uint64_t CpswStats_MacPort_2g::aleUnknownBcastBcnt

ALE receive unknown broadcast bytecount

## ◆ alePolicyMatch

uint64_t CpswStats_MacPort_2g::alePolicyMatch

ALE policer matched

## ◆ alePolicyMatchRed

uint64_t CpswStats_MacPort_2g::alePolicyMatchRed

ALE policer matched and condition red

## ◆ alePolicyMatchYellow

uint64_t CpswStats_MacPort_2g::alePolicyMatchYellow

ALE policer matched and condition yellow

## ◆ aleMultSADrop

uint64_t CpswStats_MacPort_2g::aleMultSADrop

ALE multicast source address drop

## ◆ aleDualVlanDrop

uint64_t CpswStats_MacPort_2g::aleDualVlanDrop

ALE dual VLAN drop

## ◆ aleLenErrorDrop

uint64_t CpswStats_MacPort_2g::aleLenErrorDrop

ALE IEEE 802.3 length error drop

## ◆ aleIpNextHdrDrop

uint64_t CpswStats_MacPort_2g::aleIpNextHdrDrop

ALE IP next header limit drop

## ◆ aleIPv4FragDrop

uint64_t CpswStats_MacPort_2g::aleIPv4FragDrop

ALE IPv4 fragment drop

## ◆ reserved57to80

uint64_t CpswStats_MacPort_2g::reserved57to80[24U]

Reserved

## ◆ ietRxAssemblyErr

uint64_t CpswStats_MacPort_2g::ietRxAssemblyErr

IET receive assembly error

## ◆ ietRxAssemblyOk

uint64_t CpswStats_MacPort_2g::ietRxAssemblyOk

IET receive assembly OK

## ◆ ietRxSmdError

uint64_t CpswStats_MacPort_2g::ietRxSmdError

IET receive SMD error

## ◆ ietRxFrag

uint64_t CpswStats_MacPort_2g::ietRxFrag

IET recieve merge fragment count

## ◆ ietTxHold

uint64_t CpswStats_MacPort_2g::ietTxHold

IET transmit merge fragment count

## ◆ ietTxFrag

uint64_t CpswStats_MacPort_2g::ietTxFrag

IET transmit merge hold count

## ◆ reserved87to95

uint64_t CpswStats_MacPort_2g::reserved87to95[9U]

Reserved

## ◆ txMemProtectError

uint64_t CpswStats_MacPort_2g::txMemProtectError

Transmit memory protect CRC error

## ◆ txPri

uint64_t CpswStats_MacPort_2g::txPri[8U]

Ethernet port priority packet count

## ◆ txPriBcnt

uint64_t CpswStats_MacPort_2g::txPriBcnt[8U]

Ethernet port priority packet byet count

## ◆ txPriDrop

uint64_t CpswStats_MacPort_2g::txPriDrop[8U]

Ethernet port priority packet drop count

## ◆ txPriDropBcnt

uint64_t CpswStats_MacPort_2g::txPriDropBcnt[8U]

Ethernet port priority packet drop byte count